#ifndef __FILEHANDLERSTD_H__
#define __FILEHANDLERSTD_H__

#include "filehandler.h"
#include <stdio.h>

//#define SPEED_HANDLER_STD


class CFileHandlerStd : public IFileHandler
{
public:
	void Read(void * ptr, uint32 uBSize);
	int32 GetCurPos();
	void OffsetFromCur(const int32 iOffs);
	void LocateStart();
	int32 Size();

	CFileHandlerStd(const char path[]);
	~CFileHandlerStd();


private:
#ifdef SPEED_HANDLER_STD
	int32 m_iSize, m_iCurPos;
	char * m_pData;

#else
	FILE * m_pFile;
#endif
};

#endif
