#ifndef __FILEHANDLER_H__
#define __FILEHANDLER_H__


#include "exttypes.h"


class IFileHandler
{
public:
	virtual void Read(void * ptr, uint32 uBSize)=0;
	virtual int32 GetCurPos()=0;
	virtual void OffsetFromCur(const int32 iOffs)=0;
	virtual void LocateStart()=0;
	virtual int32 Size()=0;

	IFileHandler() { m_bValid=false; };
	virtual ~IFileHandler() {};

protected:
	bool m_bValid;
};

#endif
